org.apache.hc.client5.http

## Class ConnectTimeoutException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.io.InterruptedIOException
        - - java.net.SocketTimeoutException
          - - org.apache.hc.client5.http.ConnectTimeoutException

All Implemented Interfaces:
  Serializable

    public class ConnectTimeoutException
    extends SocketTimeoutException

A timeout while connecting to an HTTP server or waiting for an available connection from a connection manager.

Since:
  4.0
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.io.InterruptedIOException

`bytesTransferred`

### Constructor Summary

Constructors
Constructor and Description
`ConnectTimeoutException(String message)` Creates a ConnectTimeoutException with the specified detail message.
`ConnectTimeoutException(String message, org.apache.hc.core5.net.NamedEndpoint namedEndpoint)`

### Method Summary

Methods
`org.apache.hc.core5.net.NamedEndpoint` `getHost()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ConnectTimeoutException

    public ConnectTimeoutException(String message)

Creates a ConnectTimeoutException with the specified detail message.

#### ConnectTimeoutException

    public ConnectTimeoutException(String message,
                           org.apache.hc.core5.net.NamedEndpoint namedEndpoint)

### Method Detail

#### getHost

    public org.apache.hc.core5.net.NamedEndpoint getHost()

Since:
  5.0